Bug 806931 - "network --device link --activate" in kickstart inside initrd.img breaks anaconda
"network --device link --activate" in kickstart inside initrd.img breaks anac...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
RejectedBlocker
: Reopened
Depends On:
Blocks: F17-accepted/F17FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-03-26 10:29 EDT by Kamil Páral
Modified: 2012-05-03 14:54 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-17.16-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 14:25:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kickstart I used (603 bytes, text/plain)
2012-03-27 06:57 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-03-26 10:29:46 EDT
Description of problem:
If I use virt-install without --initrd-inject, everything works fine. But if I add this option, dracut does not download the root image (squashfs.img) and I end up in dracut shell. Anaconda's or dracut's bug I guess.

# virt-install --name AutoQA --ram 1024 --vcpus 1 --os-type linux --disk path=/var/lib/libvirt/images/AutoQA.img,size=10 --location http://download.fedoraproject.org/pub/fedora/linux/development/17/i386/os/ --graphics none --initrd-inject=/usr/share/autotest/tests/rats_install/ks.cfg --extra-args "console=ttyS0 ks=file:/ks.cfg rd.debug"

Starting install...
Retrieving file .treeinfo...                                                                                                                                    | 1.8 kB     00:00 ... 
Retrieving file vmlinuz...                                                                                                                                      | 8.8 MB     00:00 ... 
Retrieving file initrd.img...                                                                                                                                   |  45 MB     00:00 ... 
Creating domain...                                                                                                                                              |    0 B     00:00     
Connected to domain AutoQA
Escape character is ^]
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.3.0-1.fc17.i686 (mockbuild@x86-13.phx2.fedoraproject.org) (gcc version 4.7.0 20120308 (Red Hat 4.7.0-0.19) (GCC) ) #1 SMP Mon Mar 19 03:19:22 UTC 2012
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009f400 (usable)
[    0.000000]  BIOS-e820: 000000000009f400 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 000000003fffd000 (usable)
[    0.000000]  BIOS-e820: 000000003fffd000 - 0000000040000000 (reserved)
[    0.000000]  BIOS-e820: 00000000fffbc000 - 0000000100000000 (reserved)
[    0.000000] Notice: NX (Execute Disable) protection cannot be enabled: non-PAE kernel!
[    0.000000] DMI 2.4 present.
[    0.000000] last_pfn = 0x3fffd max_arch_pfn = 0x100000
[    0.000000] PAT not supported by CPU.
[    0.000000] found SMP MP-table at [c00f7b90] f7b90
[    0.000000] init_memory_mapping: 0000000000000000-00000000373fe000
[    0.000000] RAMDISK: 3e94a000 - 3fff0000
[    0.000000] Allocated new RAMDISK: 35d58000 - 373fd7f8
[    0.000000] Move RAMDISK from 000000003e94a000 - 000000003ffef7f7 to 35d58000 - 373fd7f7
[    0.000000] ACPI: RSDP 000f7b40 00014 (v00 BOCHS )
[    0.000000] ACPI: RSDT 3fffde30 00034 (v01 BOCHS  BXPCRSDT 00000001 BXPC 00000001)
[    0.000000] ACPI: FACP 3ffffe70 00074 (v01 BOCHS  BXPCFACP 00000001 BXPC 00000001)
[    0.000000] ACPI: DSDT 3fffdfd0 01E22 (v01   BXPC   BXDSDT 00000001 INTL 20090123)
[    0.000000] ACPI: FACS 3ffffe00 00040
[    0.000000] ACPI: SSDT 3fffdf90 00037 (v01 BOCHS  BXPCSSDT 00000001 BXPC 00000001)
[    0.000000] ACPI: APIC 3fffdeb0 00072 (v01 BOCHS  BXPCAPIC 00000001 BXPC 00000001)
[    0.000000] ACPI: HPET 3fffde70 00038 (v01 BOCHS  BXPCHPET 00000001 BXPC 00000001)
[    0.000000] 139MB HIGHMEM available.
[    0.000000] 883MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 373fe000
[    0.000000]   low ram: 0 - 373fe000
[    0.000000] kvm-clock: Using msrs 12 and 11
[    0.000000] kvm-clock: cpu 0, msr 0:c4b141, boot clock
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x000373fe
[    0.000000]   HighMem  0x000373fe -> 0x0003fffd
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000010 -> 0x0000009f
[    0.000000]     0: 0x00000100 -> 0x0003fffd
[    0.000000] Using APIC driver default
[    0.000000] ACPI: PM-Timer IO Port: 0xb008
[    0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[    0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 1, version 17, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] SMP: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
[    0.000000] PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
[    0.000000] Allocating PCI resources starting at 40000000 (gap: 40000000:bffbc000)
[    0.000000] Booting paravirtualized kernel on KVM
[    0.000000] setup_percpu: NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 13 pages/cpu @f5000000 s31168 r0 d22080 u4194304
[    0.000000] kvm-clock: cpu 0, msr 0:35007141, primary cpu clock
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 259980
[    0.000000] Kernel command line: method=http://download.fedoraproject.org/pub/fedora/linux/development/17/i386/os/ console=ttyS0 ks=file:/ks.cfg rd.debug
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Initializing CPU#0
[    0.000000] allocated 2097000 bytes of page_cgroup
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.000000] Initializing HighMem for node 0 (000373fe:0003fffd)
[    0.000000] Memory: 1004384k/1048564k available (5310k kernel code, 43728k reserved, 2569k data, 616k init, 143356k highmem)
[    0.000000] virtual kernel memory layout:
[    0.000000]     fixmap  : 0xffa96000 - 0xfffff000   (5540 kB)
[    0.000000]     pkmap   : 0xff400000 - 0xff800000   (4096 kB)
[    0.000000]     vmalloc : 0xf7bfe000 - 0xff3fe000   ( 120 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xf73fe000   ( 883 MB)
[    0.000000]       .init : 0xc0bb2000 - 0xc0c4c000   ( 616 kB)
[    0.000000]       .data : 0xc092f815 - 0xc0bb1f40   (2569 kB)
[    0.000000]       .text : 0xc0400000 - 0xc092f815   (5310 kB)
[    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.000000] SLUB: Genslabs=15, HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] NR_IRQS:2304 nr_irqs:256 16
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] Detected 2533.416 MHz processor.
[    0.001999] Calibrating delay loop (skipped) preset value.. 5066.83 BogoMIPS (lpj=2533416)
[    0.003005] pid_max: default: 32768 minimum: 301
[    0.003815] Security Framework initialized
[    0.004009] SELinux:  Initializing.
[    0.005060] Mount-cache hash table entries: 512
[    0.006545] Initializing cgroup subsys cpuacct
[    0.007008] Initializing cgroup subsys memory
[    0.008009] Initializing cgroup subsys devices
[    0.009004] Initializing cgroup subsys freezer
[    0.009729] Initializing cgroup subsys net_cls
[    0.010004] Initializing cgroup subsys blkio
[    0.011008] Initializing cgroup subsys perf_event
[    0.012066] mce: CPU supports 10 MCE banks
[    0.013375] SMP alternatives: switching to UP code
[    0.030209] Freeing SMP alternatives: 24k freed
[    0.031007] ACPI: Core revision 20120111
[    0.032446] ftrace: allocating 21874 entries in 43 pages
[    0.038092] Enabling APIC mode:  Flat.  Using 1 I/O APICs
[    0.040969] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.041000] CPU0: Intel QEMU Virtual CPU version 0.14.0 stepping 03
[    0.042996] Performance Events: unsupported p6 CPU model 2 no PMU driver, software events only.
[    0.043637] NMI watchdog disabled (cpu0): hardware events not enabled
[    0.044020] Brought up 1 CPUs
[    0.045000] Total of 1 processors activated (5066.83 BogoMIPS).
[    0.046381] devtmpfs: initialized
[    0.048075] atomic64 test passed for i586+ platform with CX8 and with SSE
[    0.049049] RTC time: 14:08:14, date: 03/26/12
[    0.050034] NET: Registered protocol family 16
[    0.050853] ACPI: bus type pci registered
[    0.051353] PCI: PCI BIOS revision 2.10 entry at 0xfdf30, last bus=0
[    0.051999] PCI: Using configuration type 1 for base access
[    0.054578] bio: create slab <bio-0> at 0
[    0.055089] ACPI: Added _OSI(Module Device)
[    0.055999] ACPI: Added _OSI(Processor Device)
[    0.056665] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.057004] ACPI: Added _OSI(Processor Aggregator Device)
[    0.059803] ACPI: Interpreter enabled
[    0.060000] ACPI: (supports S0 S3 S4 S5)
[    0.061170] ACPI: Using IOAPIC for interrupt routing
[    0.064017] ACPI: No dock devices found.
[    0.064788] PCI: Ignoring host bridge windows from ACPI; if necessary, use "pci=use_crs" and report a bug
[    0.066012] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.067059] PCI host bridge to bus 0000:00
[    0.067998] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.068997] pci_bus 0000:00: root bus resource [mem 0x00000000-0xffffffff]
[    0.071561] pci 0000:00:01.3: quirk: [io  0xb000-0xb03f] claimed by PIIX4 ACPI
[    0.072005] pci 0000:00:01.3: quirk: [io  0xb100-0xb10f] claimed by PIIX4 SMB
[    0.075308]  pci0000:00: Unable to request _OSC control (_OSC support mask: 0x1e)
[    0.078061] ACPI: PCI Interrupt Link [LNKA] (IRQs 5 *10 11)
[    0.079114] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *10 11)
[    0.080124] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10 *11)
[    0.081129] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)
[    0.082196] vgaarb: loaded
[    0.082709] SCSI subsystem initialized
[    0.083073] usbcore: registered new interface driver usbfs
[    0.084005] usbcore: registered new interface driver hub
[    0.085030] usbcore: registered new device driver usb
[    0.085999] PCI: Using ACPI for IRQ routing
[    0.086823] NetLabel: Initializing
[    0.086995] NetLabel:  domain hash size = 128
[    0.087994] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.089006] NetLabel:  unlabeled traffic allowed by default
[    0.089848] HPET: 3 timers in total, 0 timers will be used for per-cpu timer
[    0.091016] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[    0.091792] hpet0: 3 comparators, 64-bit 100.000000 MHz counter
[    0.095126] Switching to clocksource kvm-clock
[    0.102773] pnp: PnP ACPI init
[    0.103366] ACPI: bus type pnp registered
[    0.104519] pnp: PnP ACPI: found 6 devices
[    0.105253] ACPI: ACPI bus type pnp unregistered
[    0.142209] NET: Registered protocol family 2
[    0.142975] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.144411] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.146150] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[    0.147550] TCP: Hash tables configured (established 131072 bind 65536)
[    0.148562] TCP reno registered
[    0.149066] UDP hash table entries: 512 (order: 2, 16384 bytes)
[    0.150000] UDP-Lite hash table entries: 512 (order: 2, 16384 bytes)
[    0.151046] NET: Registered protocol family 1
[    0.151753] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.152706] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.153721] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.154765] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
[    0.155823] Unpacking initramfs...
[    3.039279] Freeing initrd memory: 23192k freed
[    3.045123] apm: BIOS not found.
[    3.045848] Intel AES-NI instructions are not detected.
[    3.046870] audit: initializing netlink socket (disabled)
[    3.047737] type=2000 audit(1332770898.046:1): initialized
[    3.063526] highmem bounce pool size: 64 pages
[    3.064341] HugeTLB registered 4 MB page size, pre-allocated 0 pages
[    3.066655] VFS: Disk quotas dquot_6.5.2
[    3.067439] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    3.068807] msgmni has been set to 1727
[    3.069847] alg: No test for stdrng (krng)
[    3.070506] NET: Registered protocol family 38
[    3.071289] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    3.072536] io scheduler noop registered
[    3.073211] io scheduler deadline registered
[    3.073857] io scheduler cfq registered (default)
[    3.074712] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    3.075641] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    3.076664] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    3.077745] acpiphp: Slot [1] registered
[    3.078431] acpiphp: Slot [2] registered
[    3.079075] acpiphp: Slot [3] registered
[    3.079699] acpiphp: Slot [4] registered
[    3.080386] acpiphp: Slot [5] registered
[    3.081000] acpiphp: Slot [6] registered
[    3.081650] acpiphp: Slot [7] registered
[    3.082292] acpiphp: Slot [8] registered
[    3.082904] acpiphp: Slot [9] registered
[    3.083583] acpiphp: Slot [10] registered
[    3.084282] acpiphp: Slot [11] registered
[    3.084913] acpiphp: Slot [12] registered
[    3.085608] acpiphp: Slot [13] registered
[    3.086262] acpiphp: Slot [14] registered
[    3.086892] acpiphp: Slot [15] registered
[    3.087592] acpiphp: Slot [16] registered
[    3.088247] acpiphp: Slot [17] registered
[    3.088873] acpiphp: Slot [18] registered
[    3.089567] acpiphp: Slot [19] registered
[    3.090216] acpiphp: Slot [20] registered
[    3.090840] acpiphp: Slot [21] registered
[    3.091509] acpiphp: Slot [22] registered
[    3.092157] acpiphp: Slot [23] registered
[    3.092783] acpiphp: Slot [24] registered
[    3.093632] acpiphp: Slot [25] registered
[    3.094321] acpiphp: Slot [26] registered
[    3.094943] acpiphp: Slot [27] registered
[    3.095633] acpiphp: Slot [28] registered
[    3.096282] acpiphp: Slot [29] registered
[    3.096904] acpiphp: Slot [30] registered
[    3.097598] acpiphp: Slot [31] registered
[    3.098388] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
[    3.099567] ACPI: Power Button [PWRF]
[    3.100830] GHES: HEST is not enabled!
[    3.101622] ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 10
[    3.102635] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    3.125917] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    3.127428] Non-volatile memory driver v1.3
[    3.128091] Linux agpgart interface v0.103
[    3.129481] loop: module loaded
[    3.130380] scsi0 : ata_piix
[    3.130879] scsi1 : ata_piix
[    3.131425] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc000 irq 14
[    3.132468] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc008 irq 15
[    3.133922] Fixed MDIO Bus: probed
[    3.134502] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    3.135633] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    3.136653] uhci_hcd: USB Universal Host Controller Interface driver
[    3.137721] uhci_hcd 0000:00:01.2: UHCI Host Controller
[    3.138571] uhci_hcd 0000:00:01.2: new USB bus registered, assigned bus number 1
[    3.139826] uhci_hcd 0000:00:01.2: irq 11, io base 0x0000c020
[    3.140764] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[    3.167405] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    3.169351] usb usb1: Product: UHCI Host Controller
[    3.170721] usb usb1: Manufacturer: Linux 3.3.0-1.fc17.i686 uhci_hcd
[    3.172129] usb usb1: SerialNumber: 0000:00:01.2
[    3.173336] hub 1-0:1.0: USB hub found
[    3.174425] hub 1-0:1.0: 2 ports detected
[    3.175507] usbcore: registered new interface driver usbserial
[    3.176754] USB Serial support registered for generic
[    3.177611] usbcore: registered new interface driver usbserial_generic
[    3.178690] usbserial: USB Serial Driver core
[    3.179433] i8042: PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
[    3.181360] serio: i8042 KBD port at 0x60,0x64 irq 1
[    3.182234] serio: i8042 AUX port at 0x60,0x64 irq 12
[    3.183167] mousedev: PS/2 mouse device common for all mice
[    3.184381] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[    3.188621] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
[    3.189762] rtc0: alarms up to one day, 114 bytes nvram, hpet irqs
[    3.190865] device-mapper: uevent: version 1.0.3
[    3.191720] device-mapper: ioctl: 4.22.0-ioctl (2011-10-19) initialised: dm-devel@redhat.com
[    3.193199] cpuidle: using governor ladder
[    3.193865] cpuidle: using governor menu
[    3.194551] EFI Variables Facility v0.08 2004-May-17
[    3.195488] usbcore: registered new interface driver usbhid
[    3.196508] usbhid: USB HID core driver
[    3.197225] ip_tables: (C) 2000-2006 Netfilter Core Team
[    3.198167] TCP cubic registered
[    3.198696] Initializing XFRM netlink socket
[    3.199487] NET: Registered protocol family 10
[    3.200384] Mobile IPv6
[    3.200849] NET: Registered protocol family 17
[    3.201667] Registering the dns_resolver key type
[    3.202471] Using IPI No-Shortcut mode
[    3.203228] registered taskstats version 1
[    3.204108]   Magic number: 4:484:132
[    3.204712] acpi device:07: hash matches
[    3.205427] rtc_cmos 00:01: setting system clock to 2012-03-26 14:08:17 UTC (1332770897)
[    3.206918] Initializing network drop monitor service
[    3.285355] ata1.00: ATA-7: QEMU HARDDISK, 0.14.0, max UDMA/100
[    3.286551] ata1.00: 20971520 sectors, multi 16: LBA48 
[    3.287953] ata1.00: configured for MWDMA2
[    3.288738] scsi 0:0:0:0: Direct-Access     ATA      QEMU HARDDISK    0.14 PQ: 0 ANSI: 5
[    3.290320] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    3.291303] sd 0:0:0:0: [sda] 20971520 512-byte logical blocks: (10.7 GB/10.0 GiB)
[    3.292704] sd 0:0:0:0: [sda] Write Protect is off
[    3.293523] sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[    3.295990]  sda: unknown partition table
[    3.296845] sd 0:0:0:0: [sda] Attached SCSI disk
[    3.297672] Freeing unused kernel memory: 616k freed
[    3.298655] Write protecting the kernel text: 5312k
[    3.299484] Write protecting the kernel read-only data: 2092k
/init@42(): '[' yes = yes ']'
/init@43(): getarg quiet
/lib/dracut-lib.sh@91(getarg): set +x
/lib/dracut-lib.sh@114(getarg): return 1
//init@44(): getarg loglevel=
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@114(getarg): return 1
/init@44(): a=
/init@45(): '[' -n '' ']'
/init@48(): ismounted /dev
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' / = /dev ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /proc = /dev ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /sys = /dev ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@381(ismounted): return 1
/init@49(): mount -t devtmpfs -o mode=0755,nosuid devtmpfs /dev
/init@53(): '[' '!' -h /dev/fd ']'
/init@53(): ln -s /proc/self/fd /dev/fd
/init@54(): '[' '!' -h /dev/stdin ']'
/init@54(): ln -s /proc/self/fd/0 /dev/stdin
/init@55(): '[' '!' -h /dev/stdout ']'
/init@55(): ln -s /proc/self/fd/1 /dev/stdout
/init@56(): '[' '!' -h /dev/stderr ']'
/init@56(): ln -s /proc/self/fd/2 /dev/stderr
/init@58(): ismounted /dev/pts
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' / = /dev/pts ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /proc = /dev/pts ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /sys = /dev/pts ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /dev = /dev/pts ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@381(ismounted): return 1
/init@59(): mkdir -m 0755 /dev/pts
/init@60(): mount -t devpts -o gid=5,mode=620,noexec,nosuid devpts /dev/pts
/init@63(): ismounted /dev/shm
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' / = /dev/shm ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /proc = /dev/shm ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /sys = /dev/shm ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /dev = /dev/shm ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /dev/pts = /dev/shm ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@381(ismounted): return 1
/init@64(): mkdir -m 0755 /dev/shm
/init@65(): mount -t tmpfs -o mode=1777,nosuid,nodev tmpfs /dev/shm
/init@68(): ismounted /run
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' / = /run ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /proc = /run ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /sys = /run ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /dev = /run ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /dev/pts = /run ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@379(ismounted): '[' /dev/shm = /run ']'
/lib/dracut-lib.sh@378(ismounted): read a m a
/lib/dracut-lib.sh@381(ismounted): return 1
/init@69(): mkdir -m 0755 /newrun
/init@70(): mount -t tmpfs -o mode=0755,nosuid,nodev tmpfs /newrun
/init@71(): cp -a /run/initramfs /run/lock /run/udev /newrun
/init@72(): mount --move /newrun /run
/init@73(): rm -fr /newrun
/init@76(): '[' -d /run/initramfs ']'
//init@78(): udevadm --version
/init@78(): UDEVVERSION=181
/init@79(): '[' 181 -gt 166 ']'
/init@81(): export UDEVRULESD=/run/udev/rules.d
/init@81(): UDEVRULESD=/run/udev/rules.d
/init@82(): '[' -d /run/udev ']'
/init@83(): '[' -d /run/udev/rules.d ']'
/init@89(): '[' yes = yes ']'
/init@90(): mkfifo /run/initramfs/loginit.pipe
/init@92(): exec
/init@91(): loginit
[    3.613864] dracut: dracut-017-62.git20120322.fc17
[    3.618978] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input2
[    3.681921] BIOS EDD facility v0.16 2004-Jun-25, 1 devices found
[    3.739702] dracut Warning: 'method=' is deprecated. Using 'repo=http://download.fedoraproject.org/pub/fedora/linux/development/17/i386/os/' instead.
[    3.805629] dracut: rd.luks=0: removing cryptoluks activation
[    3.817347] dracut: rd.lvm=0: removing LVM activation
[    4.046067] Refined TSC clocksource calibration: 2533.424 MHz.
[    4.279060] RPC: Registered named UNIX socket transport module.
[    4.280131] RPC: Registered udp transport module.
[    4.280843] RPC: Registered tcp transport module.
[    4.281565] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    4.338150] udevd[174]: starting version 181
udevd[174]: RUN+="socket:..." support will be removed from a future udev release. Please remove it from: /usr/lib/udev/rules.d/40-multipath.rules:16 and use libudev to subscribe to events.

[    4.356103] dracut: rd.dm=0: removing DM RAID activation
[    4.373521] dracut: rd.md=0: removing MD RAID activation
udevd[174]: RUN+="socket:..." support will be removed from a future udev release. Please remove it from: /usr/lib/udev/rules.d/40-multipath.rules:16 and use libudev to subscribe to events.

[    4.484394] 8139cp: 8139cp: 10/100 PCI Ethernet driver v1.3 (Mar 22, 2004)
[    4.485729] ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 10
[    4.489520] 8139cp 0000:00:02.0: eth0: RTL-8139C+ at 0xf7c30000, 52:54:00:84:2e:aa, IRQ 10
[    4.514252] 8139too: 8139too Fast Ethernet driver 0.9.28
[   25.676914] dracut Warning: Unable to process initqueue
[   25.678292] dracut Warning: /dev/root does not exist
/lib/dracut-lib.sh@782(wait_for_loginit): rm -f /run/initramfs/loginit.pipe /run/initramfs/loginit.pid
/lib/dracut-lib.sh@800(emergency_shell): '[' -e /run/initramfs/.die ']'
/lib/dracut-lib.sh@801(emergency_shell): getargbool 1 rd.shell -y rdshell
/lib/dracut-lib.sh@118(getargbool): local _b
/lib/dracut-lib.sh@119(getargbool): unset _b
/lib/dracut-lib.sh@120(getargbool): local _default
/lib/dracut-lib.sh@121(getargbool): _default=1
/lib/dracut-lib.sh@121(getargbool): shift
//lib/dracut-lib.sh@122(getargbool): getarg rd.shell -y rdshell
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@114(getarg): return 1
/lib/dracut-lib.sh@122(getargbool): _b=
/lib/dracut-lib.sh@123(getargbool): '[' 1 -ne 0 -a -z '' ']'
/lib/dracut-lib.sh@123(getargbool): _b=1
/lib/dracut-lib.sh@124(getargbool): '[' -n 1 ']'
/lib/dracut-lib.sh@125(getargbool): '[' 1 = 0 ']'
/lib/dracut-lib.sh@126(getargbool): '[' 1 = no ']'
/lib/dracut-lib.sh@127(getargbool): '[' 1 = off ']'
/lib/dracut-lib.sh@129(getargbool): return 0
/lib/dracut-lib.sh@802(emergency_shell): echo 'Dropping to debug shell.'
Dropping to debug shell.
/lib/dracut-lib.sh@803(emergency_shell): echo

/lib/dracut-lib.sh@804(emergency_shell): export 'PS1=dracut:${PWD}# '
/lib/dracut-lib.sh@804(emergency_shell): PS1='dracut:${PWD}# '
/lib/dracut-lib.sh@805(emergency_shell): '[' -e /.profile ']'
//lib/dracut-lib.sh@807(emergency_shell): getarg rd.ctty=
//lib/dracut-lib.sh@91(getarg): set +x
//lib/dracut-lib.sh@114(getarg): return 1
/lib/dracut-lib.sh@807(emergency_shell): _ctty=
/lib/dracut-lib.sh@808(emergency_shell): '[' -z '' ']'
/lib/dracut-lib.sh@809(emergency_shell): _ctty=console
/lib/dracut-lib.sh@810(emergency_shell): '[' -f /sys/class/tty/console/active ']'
//lib/dracut-lib.sh@811(emergency_shell): cat /sys/class/tty/console/active
/lib/dracut-lib.sh@811(emergency_shell): _ctty=ttyS0
/lib/dracut-lib.sh@812(emergency_shell): _ctty=ttyS0
/lib/dracut-lib.sh@810(emergency_shell): '[' -f /sys/class/tty/ttyS0/active ']'
/lib/dracut-lib.sh@814(emergency_shell): _ctty=/dev/ttyS0
/lib/dracut-lib.sh@816(emergency_shell): '[' -c /dev/ttyS0 ']'
//lib/dracut-lib.sh@817(emergency_shell): setsid --help
/lib/dracut-lib.sh@817(emergency_shell): strstr '
Usage:
 setsid [options] <program> [arguments ...]

Options:
 -h, --help     display this help and exit
 -V, --version  output version information and exit

For more details see setsid(1).' control
/lib/dracut-lib.sh@7(strstr): '[' '
Usage:
 setsid [options] <program> [arguments ...]

Options:
 -h, --help     display this help and exit
 -V, --version  output version information and exit

For more details see setsid(1).' '!=' '
Usage:
 setsid [options] <program> [arguments ...]

Options:
 -h, --help     display this help and exit
 -V, --version  output version information and exit

For more details see setsid(1).' ']'
/lib/dracut-lib.sh@818(emergency_shell): setsid /bin/sh -i -l
dracut:/# 


Version-Release number of selected component (if applicable):
development compose as of 2012-03-26

How reproducible:
100%

Steps to Reproduce:
1. use virt-install --initrd-inject
2. observe dracut dropping you into debug shell
Comment 1 Kamil Páral 2012-03-26 10:33:27 EDT
Marking as F17 Beta blocker:

"The installer must be able to use all kickstart delivery methods"
https://fedoraproject.org/wiki/Fedora_17_Beta_Release_Criteria
Comment 2 Kamil Páral 2012-03-26 10:41:22 EDT
Please note this line:

[    3.739702] dracut Warning: 'method=' is deprecated. Using
'repo=http://download.fedoraproject.org/pub/fedora/linux/development/17/i386/os/'
instead.

That means dracut knows where to find the root image. It just doesn't download it for some reason.
Comment 3 Kamil Páral 2012-03-26 11:33:32 EDT
dracut:/# cat /proc/cmdline
method=http://download.fedoraproject.org/pub/fedora/linux/development/17/i386/os/ console=ttyS0 ks=file:/ks.cfg rd.debug
Comment 4 Kamil Páral 2012-03-26 12:31:35 EDT
I reproduced this with manually created initrd.img. I added ks.cfg file and then booted from kernel pair in VM. I used these kernel options:

method=http://download.fedoraproject.org/pub/fedora/linux/development/17/i386/os/ ks=file:/ks.cfg

It behaves the same as described above. If I remove the "ks=" option it behaves correctly - it downloads the root image.
Comment 5 Kamil Páral 2012-03-26 12:31:36 EDT
I reproduced this with manually created initrd.img. I added ks.cfg file and then booted from kernel pair in VM. I used these kernel options:

method=http://download.fedoraproject.org/pub/fedora/linux/development/17/i386/os/ ks=file:/ks.cfg

It behaves the same as described above. If I remove the "ks=" option it behaves correctly - it downloads the root image.
Comment 6 Adam Williamson 2012-03-26 13:35:08 EDT
Discussed at 2012-03-26 QA meeting acting as a blocker review meeting. Accepted as a blocker per criterion "The installer must be able to use all kickstart delivery methods".



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Brian Lane 2012-03-26 20:05:20 EDT
Could you attach the ks.cfg you are using?
Comment 8 Kamil Páral 2012-03-27 06:57:08 EDT
Created attachment 573018 [details]
kickstart I used
Comment 9 Fedora Update System 2012-03-27 20:09:42 EDT
anaconda-17.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.15-1.fc17
Comment 10 Fedora Update System 2012-03-28 01:52:23 EDT
Package anaconda-17.15-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-17.15-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4745/anaconda-17.15-1.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-03-28 19:22:43 EDT
anaconda-17.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.16-1.fc17
Comment 12 Fedora Update System 2012-03-29 00:13:14 EDT
anaconda-17.16-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Kamil Páral 2012-03-29 07:32:28 EDT
This is not fixed with F17 Beta RC2. If I remove this line from the kickstart it works:

network --device link --activate

If I leave it there, it breaks.
Comment 14 Adam Williamson 2012-03-30 12:04:21 EDT
does the ks work when sourced any other way, if it has that line in it?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Kamil Páral 2012-03-30 13:26:03 EDT
Good call. It works OK with ks=http and ks=nfs. I didn't try other methods.
Comment 16 Adam Williamson 2012-03-30 15:34:40 EDT
Discussed at the 2012-03-30 blocker review meeting. As the kickstart sourcing now works (as of RC2), and this is now a different problem with specific kickstart contents, we agreed this no longer constitutes a blocker and should be dropped to NTH.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Kamil Páral 2012-04-02 03:21:58 EDT
Anaconda maintainers, please note, however, that we would really love to see this fixed, because our automated test suite currently uses exactly that kickstart and it's the reason why it doesn't get past boot...

http://autoqa.fedoraproject.org/resultsdb/frontend/search?type=Testcase&terms=rats_install

Thanks.
Comment 18 Kamil Páral 2012-04-12 08:17:59 EDT
Proposing as Final blocker. We don't seem to have criteria saying a kickstart with valid contents must work.
Comment 19 Adam Williamson 2012-04-20 15:04:28 EDT
Discussed at 2012-04-20 blocker review meeting - http://meetbot.fedoraproject.org/fedora-bugzappers/2012-04-20/fedora-bugzappers.2012-04-20-17.01.log.txt . Rejected as a blocker for now as we indeed do not cover this in the criteria, but could be re-proposed if a criterion is added. It seems difficult to formulate such a criterion, however.
Comment 20 Will Woods 2012-04-20 17:53:33 EDT
Does this still fail with F17 Beta? It seems to be working here..
Comment 21 Kamil Páral 2012-04-23 05:42:01 EDT
It really is fixed in F17 Beta GOLD! Thanks.
Comment 22 Kamil Páral 2012-05-03 12:02:58 EDT
Reopening, this is broken again. I used daily F17 development compose and when using the same kickstart it breaks again:


[    5.924950] dracut Warning: 'method=' is deprecated. Using 'repo=http://dl.fedoraproject.org/pub/fedora/linux/development/17/i386/os/' instead.
dracut Warning: 'method=' is deprecated. Using 'repo=http://dl.fedoraproject.org/pub/fedora/linux/development/17/i386/os/' instead.
[    5.941403] dracut: anaconda: parsing kickstart /fedora.ks
[    6.602987] dracut: rd.luks=0: removing cryptoluks activation
[    6.623960] dracut: rd.lvm=0: removing LVM activation
[    6.656924] dracut: FATAL: Please supply bootdev argument for multiple ip= lines
[    6.659117] dracut: Refusing to continue


[    6.661050] dracut Warning: Signal caught!
dracut Warning: Signal caught!
[    6.663333] dracut Warning: dracut: FATAL: Please supply bootdev argument for multiple ip= lines
dracut Warning: dracut: FATAL: Please supply bootdev argument for multiple ip= lines
[    6.667672] dracut Warning: dracut: Refusing to continue
dracut Warning: dracut: Refusing to continue
[    6.670366] dracut Warning: /dev/root does not exist
dracut Warning: /dev/root does not exist

[    6.673621] Kernel panic - not syncing: Attempted to kill init!
[    6.675277] Pid: 1, comm: init Not tainted 3.3.4-1.fc17.i686 #1
[    6.676947] Call Trace:
[    6.677718]  [<c09201d8>] ? printk+0x2d/0x2f
[    6.678918]  [<c09200b4>] panic+0x81/0x178
[    6.680182]  [<c043b51f>] do_exit+0x7ff/0x800
[    6.681443]  [<c043b7b4>] do_group_exit+0x34/0xa0
[    6.682763]  [<c043b838>] sys_exit_group+0x18/0x20
[    6.684102]  [<c0928074>] syscall_call+0x7/0xb


My command line:
$ virt-install --name AutoQA --ram 1024 --vcpus 1 --os-type linux --os-variant fedora15 --disk path=/var/lib/libvirt/images/AutoQA.img,size=10 --location http://dl.fedoraproject.org/pub/fedora/linux/development/17/i386/os/ --graphics none --initrd-inject=/usr/share/autotest/tests/rats_install/fedora.ks --extra-args "sshd serial console=ttyS0 ks=file:/fedora.ks"
Comment 23 Kamil Páral 2012-05-03 12:05:19 EDT
Proposing as NTH. A lot of existing kickstarts may be broken and we can't fix this with an update after final release.
Comment 24 Will Woods 2012-05-03 14:25:28 EDT
I'm 98% sure this is caused by a bug in dracut, which should be fixed by this patch: http://article.gmane.org/gmane.linux.kernel.initramfs/2639

* Using a kickstart with "network --device=link" causes parse-kickstart to write "ip=..." args to /etc/cmdline.d, then unset CMDLINE
* The bug with _getcmdline causes the "ip=..." arg to get duplicated
* "getargs ip=" returns the duplicated "ip=..." args, and then the network module dies with the "Please supply bootdev argument for multiple ip= lines" error.

Please file a new bug against dracut, since this is a totally different problem than the original one in this bug.
Comment 25 Kamil Páral 2012-05-03 14:54:09 EDT
OK, thanks, reported as bug 818707.

Note You need to log in before you can comment on or make changes to this bug.